      SUBROUTINE MAIN
      LOGICAL*1 PATH(40)
      INTEGER GETARG, CWDIR
      LOGICAL*1 USESTR(38)
      DATA USESTR(1)/117/,USESTR(2)/115/,USESTR(3)/97/,USESTR(4)/103/,US
     *ESTR(5)/101/,USESTR(6)/58/,USESTR(7)/32/,USESTR(8)/32/,USESTR(9)/9
     *9/,USESTR(10)/104/,USESTR(11)/100/,USESTR(12)/32/,USESTR(13)/100/,
     *USESTR(14)/101/,USESTR(15)/118/,USESTR(16)/58/,USESTR(17)/91/,USES
     *TR(18)/100/,USESTR(19)/105/,USESTR(20)/114/,USESTR(21)/93/,USESTR(
     *22)/32/,USESTR(23)/79/,USESTR(24)/82/,USESTR(25)/32/,USESTR(26)/99
     */,USESTR(27)/104/,USESTR(28)/100/,USESTR(29)/32/,USESTR(30)/47/,US
     *ESTR(31)/100/,USESTR(32)/101/,USESTR(33)/118/,USESTR(34)/47/,USEST
     *R(35)/100/,USESTR(36)/105/,USESTR(37)/114/,USESTR(38)/0/
      CALL QUERY(USESTR)
      IF (.NOT.(GETARG(1, PATH, 40) .EQ. -1))GOTO 23000
      CALL ERROR(USESTR)
23000 CONTINUE
      IF (.NOT.(CWDIR(PATH) .EQ. -3))GOTO 23002
      CALL PUTLIN(PATH, 3)
      CALL ERROR(17H: does not exist.)
      GOTO 23003
23002 CONTINUE
      CALL GWDIR(PATH, 5)
      CALL REMARK(PATH)
23003 CONTINUE
      RETURN
      END
